X
Thinta lapha ukuze uye kuveshini yamakhalekhukhwini kusayithi.

Isithangami Sabeseki

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

Javascript problem

Kuphostiwe

I am not sure from exactly when but recent update cause JavaScript to stop working. I have the latest version

The reset did not work and I turned every 'Javascript options to true as a test. I also flush any cache. My site still does not work (only in firefox)

Here is the web site: www.rch.ca   

The home page bubble should scroll down in the main page, and other bubbles (on other section of the main page) are not shown if I am scrolling down myself with the mouse.

I am not sure from exactly when but recent update cause JavaScript to stop working. I have the latest version The reset did not work and I turned every 'Javascript options to true as a test. I also flush any cache. My site still does not work (only in firefox) Here is the web site: www.rch.ca The home page bubble should scroll down in the main page, and other bubbles (on other section of the main page) are not shown if I am scrolling down myself with the mouse.

Isisombululo esikhethiwe

Hi,

Thanks for the follow-up. We found the problem. Google maps infobox was not supported anymore. Other browser had no problem with it so I guess firefox is just more strict about it. I will see if I can update JQuery has it might have some dependencies.

Thanks Again

Funda le mpendulo ngokuhambisana nalesi sihloko 1

Eminye Imininingwane Yohlelo

Isisebenziso

  • I-ejenti Engumsebenzisi: Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/53.0.2785.143 Safari/537.36

Eminye Imininingwane

FredMcD
  • Top 10 Contributor
4398 izisombululo 61689 izimpendulo
Kuphostiwe

Javascript is built into Firefox.

http://kb.mozillazine.org/JavaScript_is_not_Java

Make sure your Java (Not JavaScript) is up to date Verify Java and Find Out-of-Date Versions {web link}

Version 8 Update 101 Release date July 2016 http://java.com/en/download/manual.jsp

Javascript is built into Firefox. http://kb.mozillazine.org/JavaScript_is_not_Java Make sure your Java (Not JavaScript) is up to date '''[http://java.com/en/download/installed.jsp Verify Java and Find Out-of-Date Versions]''' {web link} Version 8 Update 101 Release date July 2016 http://java.com/en/download/manual.jsp

Umnikazi wombuzo

I had Java 1.7 and update to the latest as indicated. I still have the same problem. Did you tried my site on your side ? Do you need more information from me in order to find-out what is going-on.

Denis

I had Java 1.7 and update to the latest as indicated. I still have the same problem. Did you tried my site on your side ? Do you need more information from me in order to find-out what is going-on. Denis
FredMcD
  • Top 10 Contributor
4398 izisombululo 61689 izimpendulo
Kuphostiwe

This is the best I can do; https://java.com/en/download/help/ Java Help Center

This is the best I can do; https://java.com/en/download/help/ Java Help Center

Umnikazi wombuzo

I will try to dig-in in more detail but since this is happening only with your browser I might recommend to my visitors to change browser ! Even IE is working and normally it is the one that had most of the problems. I taught I would have more support from your team.

I will try to dig-in in more detail but since this is happening only with your browser I might recommend to my visitors to change browser ! Even IE is working and normally it is the one that had most of the problems. I taught I would have more support from your team.
jscher2000
  • Top 10 Contributor
8960 izisombululo 73420 izimpendulo
Kuphostiwe

Could you update jQuery? There seems to be a version conflict:

When I open Firefox's web console below your page (Ctrl+Shift+k, or the Developer menu) and paste the following and press Enter --

console.log(jQuery().jquery);

-- the current version is 1.7.2. I think it's because this file:

http://rch.ca/wp-content/themes/multi/js/plugins.js

is loading after this file:

http://rch.ca/wp-includes/js/jquery/jquery.js?ver=1.11.3

(which you also might want to update, but first things first).

Could you update jQuery? There seems to be a version conflict: When I open Firefox's web console below your page (Ctrl+Shift+k, or the Developer menu) and paste the following and press Enter -- console.log(jQuery().jquery); -- the current version is 1.7.2. I think it's because this file: http://rch.ca/wp-content/themes/multi/js/plugins.js is loading after this file: http://rch.ca/wp-includes/js/jquery/jquery.js?ver=1.11.3 (which you also might want to update, but first things first).

Isisombululo Esikhethiwe

Hi,

Thanks for the follow-up. We found the problem. Google maps infobox was not supported anymore. Other browser had no problem with it so I guess firefox is just more strict about it. I will see if I can update JQuery has it might have some dependencies.

Thanks Again

Hi, Thanks for the follow-up. We found the problem. Google maps infobox was not supported anymore. Other browser had no problem with it so I guess firefox is just more strict about it. I will see if I can update JQuery has it might have some dependencies. Thanks Again

Okulungisiwe ngu denisgil